View Issue Details

IDProjectCategoryView StatusLast Update
0004398Slicer4Core: Building (CMake, Superbuild)public2017-07-25 22:03
ReporterdzenanzAssigned Tojcfr 
PrioritynormalSeverityblockReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformVS2013OSWindows 7 x64OS Version
Product VersionSlicer 4.7.0 
Target VersionSlicer 4.7.0Fixed in VersionSlicer 4.7.0 
Summary0004398: bzip2 debug/release mixup
Description

Building Slicer in debug mode fails with the below message. This was an incremental build (after git pull). My suspicion is that Debug mode is not being respected, and instead output of bzip2 Release mode is being referenced in Python.

LINK : fatal error LNK1181: cannot open input file 'C:_\dose13d\S-bld\bzip2-build\Release\libbz2.lib' [C:_\dose13d\S-bld\python-build\CMakeBuild\extensions\extension_bz2\extensionbz2.vcxproj] [C:\\dose13d\S-bld\python.vcxproj]

TagsNo tags attached.

Activities

lassoan

lassoan

2017-07-24 21:25

developer   ~0014937

See some more info here:
https://discourse.slicer.org/t/slicer-debug-mode-buid-error-in-2017-07-23-version-on-windows-due-to-bzip2/751/2

I'll revert the bz2 related commit if nobody submits a fix till 10pm (I think that's the nightly build cutoff time).

jcfr

jcfr

2017-07-24 22:08

administrator   ~0014942

Hi,

Cutoff time is 11pm and this is only affecting the developer build. I don't think there is a need to revert. I will address this tonight.

Thanks
Jc

jcfr

jcfr

2017-07-24 23:34

administrator   ~0014953

Last edited: 2017-07-24 23:36

View 3 revisions

This should be fixed by https://github.com/Slicer/Slicer/pull/751

lassoan

lassoan

2017-07-25 08:38

developer   ~0014961

Last edited: 2017-07-25 08:39

View 2 revisions

Build in debug mode is still broken (even starting build completely from scratch).

Build log:

...
  Performing install step for 'python'

  Microsoft (R) Build Engine version 12.0.40629.0

  [Microsoft .NET Framework, version 4.0.30319.42000]

  Copyright (C) Microsoft Corporation. All rights reserved.

  Build started 7/25/2017 1:01:30 AM.

  Project "C:\D\S4D\python-build\install.vcxproj" on node 1 (default targets).

  Project "C:\D\S4D\python-build\install.vcxproj" (1) is building "C:\D\S4D\python-build\ZERO_CHECK.vcxproj" (2) on node 1 (default targets).

C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V120\Microsoft.Cpp.Platform.targets(61,5): error MSB8013: This project doesn't contain the Configuration and Platform combination of Debug|x64. [C:\D\S4D\python-build\ZERO_CHECK.vcxproj] [C:\D\S4D\python.vcxproj]

  Done Building Project "C:\D\S4D\python-build\ZERO_CHECK.vcxproj" (default targets) -- FAILED.

  Done Building Project "C:\D\S4D\python-build\install.vcxproj" (default targets) -- FAILED.

  Build FAILED.

  "C:\D\S4D\python-build\install.vcxproj" (default target) (1) ->

  "C:\D\S4D\python-build\ZERO_CHECK.vcxproj" (default target) (2) ->

  (PlatformPrepareForBuild target) -> 

C:\Program Files (x86)\MSBuild\Microsoft.Cpp\v4.0\V120\Microsoft.Cpp.Platform.targets(61,5): error MSB8013: This project doesn't contain the Configuration and Platform combination of Debug|x64. [C:\D\S4D\python-build\ZERO_CHECK.vcxproj] [C:\D\S4D\python.vcxproj]

      0 Warning(s)

      1 Error(s)

  Time Elapsed 00:00:00.56

Done Building Project "C:\D\S4D\python.vcxproj" (default targets) -- FAILED.

Done Building Project "C:\D\S4D\VTKv7.vcxproj" (default targets) -- FAILED.

Done Building Project "C:\D\S4D\ITKv4.vcxproj" (default targets) -- FAILED.

Done Building Project "C:\D\S4D\CTK.vcxproj" (default targets) -- FAILED. 
...
jcfr

jcfr

2017-07-25 14:57

administrator   ~0014982

Updated topic: https://github.com/Slicer/Slicer/pull/751

This should address the last issues. Let me know if it works out for you.

lassoan

lassoan

2017-07-25 16:45

developer   ~0014983

Thank you! Testing now.

jcfr

jcfr

2017-07-25 22:03

administrator   ~0014984

Fixed in r26174
See http://viewvc.slicer.org/viewvc.cgi/Slicer4?view=revision&revision=26174

Issue History

Date Modified Username Field Change
2017-07-24 12:27 dzenanz New Issue
2017-07-24 12:27 dzenanz Status new => assigned
2017-07-24 12:27 dzenanz Assigned To => jcfr
2017-07-24 21:25 lassoan Note Added: 0014937
2017-07-24 21:28 lassoan Target Version => Slicer 4.7.0
2017-07-24 22:08 jcfr Note Added: 0014942
2017-07-24 23:34 jcfr Note Added: 0014953
2017-07-24 23:36 jcfr Note Edited: 0014953 View Revisions
2017-07-24 23:36 jcfr Note Edited: 0014953 View Revisions
2017-07-25 08:38 lassoan Note Added: 0014961
2017-07-25 08:39 lassoan Note Edited: 0014961 View Revisions
2017-07-25 14:57 jcfr Note Added: 0014982
2017-07-25 16:45 lassoan Note Added: 0014983
2017-07-25 22:03 jcfr Status assigned => resolved
2017-07-25 22:03 jcfr Resolution open => fixed
2017-07-25 22:03 jcfr Fixed in Version => Slicer 4.7.0
2017-07-25 22:03 jcfr Note Added: 0014984